Skip to main content
PATCH
/
api
/
v2
/
supersearch-enrichment
/
{resource_id}
/
settings
Update enrichment settings for resource
curl --request PATCH \
  --url https://api.instantly.ai/api/v2/supersearch-enrichment/{resource_id}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auto_update": true,
  "skip_rows_without_email": true,
  "is_evergreen": true
}
'
{
  "id": "01234567-89ab-cdef-0123-456789abcdef",
  "organization_id": "01234567-89ab-cdef-0123-456789abcdef",
  "resource_id": "01234567-89ab-cdef-0123-456789abcdef",
  "resource_type": 1,
  "limit": 100,
  "enrichment_payload": {},
  "auto_update": true,
  "skip_rows_without_email": true,
  "in_progress": true,
  "type": "email_verification"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

resource_id
string<uuid>
required

Unique identifier for the resource (list or campaign)

Example:

"01234567-89ab-cdef-0123-456789abcdef"

Body

application/json
auto_update
boolean

Whether new leads added to the resource will be automatically enriched

Example:

true

skip_rows_without_email
boolean

Whether the fully enriched profile enrichment will run even if we don't find an email

Example:

true

is_evergreen
boolean

Whether the enrichment is evergreen

Example:

true

Response

The requested SuperSearch Enrichment

An enrichment can take different forms, such as email enrichment or LinkedIn enrichment. Leads may be imported from SuperSearch using the dedicated endpoint, or enriched directly within a list or campaign by attaching an enrichment to it.

id
string
required

Unique identifier for the enrichment

Example:

"01234567-89ab-cdef-0123-456789abcdef"

organization_id
string<uuid>
required

Organization ID that created this enrichment

Example:

"01234567-89ab-cdef-0123-456789abcdef"

resource_id
string<uuid>
required

Unique identifier for the entity to enrich leads into

Example:

"01234567-89ab-cdef-0123-456789abcdef"

resource_type
enum<number>
required

Type of the entity to enrich leads into

Available options:
1,
2
Example:

1

limit
null | number

The maximum number of leads to enrich

Example:

100

enrichment_payload
object

Enrichment payload

auto_update
null | boolean

Whether new leads added to the resource will be automatically enriched using these same settings

Example:

true

skip_rows_without_email
null | boolean

Whether the fully enriched profile enrichment will run even if we don't find an email

Example:

true

in_progress
null | boolean

Whether the enrichment is in progress

Example:

true

type
enum<string>

Enrichment type to add to the resource

Available options:
work_email_enrichment,
fully_enriched_profile,
email_verification,
joblisting,
technologies,
news,
funding,
ai_enrichment,
custom_flow
Example:

"email_verification"